TreeItem subclass:#TreeItemWithImage
	instanceVariableNames:'icon'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Support'
!

!TreeItemWithImage class methodsFor:'documentation'!

documentation
"
    Like a regular TreeItem, but provides its own icon image.


    [author:]
        Claus Gittinger (cg@exept)

    [see also:]
        TreeItem FileSelectionItem
        SelectionInTree SelectionInTreeView

    [instance variables:]
        image           <ImageOrForm>           my icon image

    [class variables:]
"
! !

!TreeItemWithImage methodsFor:'accessing'!

icon
    "return the value of the instance variable 'icon' (automatically generated)"

    icon isNil ifTrue:[^ super icon].
    ^ icon
!

icon:something
    "set the value of the instance variable 'icon' (automatically generated)"

    icon := something.! !

!TreeItemWithImage class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/TreeItemWithImage.st,v 1.3 1999-02-11 18:09:18 cg Exp $'
! !
